PHP Manual
Prev |  | Next

# imageellipse

(PHP 4 >= 4.0.6, PHP 5)

imageellipse -- Draw an ellipse

## Description

bool imageellipse ( resource image, int cx, int cy, int width, int height, int color )

Draws an ellipse centered at the specified coordinates.

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`cx`

  x-coordinate of the center

`cy`

  y-coordinate of the center

`width`

  The ellipse width

`height`

  The ellipse height

`color`

  The color of the ellipse. A color identifier created with imagecolorallocate()

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. imageellipse() example

`<?php // create a blank image $image = imagecreatetruecolor(400, 300); // fill the background color $bg = imagecolorallocate($image, 0, 0, 0); // choose a color for the ellipse $col_ellipse = imagecolorallocate($image, 255, 255, 255); // draw the ellipse imageellipse($image, 200, 150, 300, 200, $col_ellipse); // output the picture header("Content-type: image/png"); imagepng($image); ?>`

The above example will output something similar to:

## Notes

> Note: This function requires GD 2.0.2 or later.

## See Also

imagefilledellipse()
imagearc()

Prev | Home | Next
imagedestroy | Up | imagefill